﻿using Model;

namespace Dto
{
    public class SysRoleDto : SysBase
    {
        public long roleId { get; set; }
        /// <summary>
        /// 要添加的菜单集合
        /// </summary>
        public List<long> menuIds { get; set; } = new List<long>();
        public string? roleName { get; set; }
        public string? roleCode { get; set; }
        public string? roleDesc { get; set; }
        public string? roleKey { get; set; }
        public int roleSort { get; set; }
        public int dataScope { get; set; }
        // public int[] deptIds { get; set; }
        public string? createBy { get; set; }
        /// <summary>
        /// 减少菜单集合
        /// </summary>
        public List<long> delMenuIds { get; set; } = new List<long>();
        public bool menuCheckStrictly { get; set; }
        public bool deptCheckStrictly { get; set; }

    }

    public class SysRoleSetDto
    {
        public long roleId { get; set; }
        public List<long> menuIds { get; set; } = new List<long>();

    }
}
