﻿namespace Dto
{
    public class SysUserDto
    {
        public long userId { get; set; }
        public string? username { get; set; }
        public string? nickname { get; set; }
        public string? name { get; set; }
        public string? email { get; set; }
        public string? remark { get; set; }
        public string? phone { get; set; }
        public string? password { get; set; }

        /// <summary>
        /// 帐号状态（0正常 1停用）
        /// </summary>
        public int status { get; set; }

        /// <summary>
        /// 部门Id
        /// </summary>
        public long deptId { get; set; }
        /// <summary>
        /// 角色id集合
        /// </summary>
        public long[] role { get; set; }
        /// <summary>
        /// 岗位集合
        /// </summary>
        public int[] post { get; set; }
    }

    public class SysUserQueryDto
    {
        public string? username { get; set; }
        public string? nickname { get; set; }
        public string? name { get; set; }
        public string? phone { get; set; }
    }
}
