using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriPrizeInQueryFieldService : IBaseService<PriPrizeInQueryField>
    {
        /// <summary>
        /// 奖励入库条件字段-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriPrizeInQueryFieldListVo> getPriPrizeInQueryFieldList([FromQuery] PagerInfo page, [FromQuery] PriPrizeInQueryField param);



    }
}
