using Mapster;


namespace Model
{
    /// <summary>
    /// 奖励发放日志 pri_log
    /// </summary>
    [SugarTable("pri_log", "奖励发放日志")]
    [Tenant("0")]
    public class PriLog
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 项目
        /// </summary>
        [SugarColumn(ColumnDescription = "项目", ColumnName = "project_id")]
        public int projectId { get; set; }


        /// <summary>
        /// 配置ID
        /// </summary>
        [SugarColumn(ColumnDescription = "配置ID", ColumnName = "list_id")]
        public int listId { get; set; }


        /// <summary>
        /// 发放对象
        /// </summary>
        [SugarColumn(ColumnDescription = "发放对象", Length = 50, ColumnName = "prize_obj_id")]
        public string? prizeObjId { get; set; }


        /// <summary>
        /// 日志说明
        /// </summary>
        [SugarColumn(ColumnDescription = "日志说明", Length = 200, ColumnName = "log_summary")]
        public string? logSummary { get; set; }


        /// <summary>
        /// 批次号
        /// </summary>
        [SugarColumn(ColumnDescription = "批次号", Length = 50, ColumnName = "batch_no")]
        public string? batchNo { get; set; }



    }
}