using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;
using Vo.Admin;


namespace Services
{
    public interface IPriRecursionEndFieldService : IBaseService<PriRecursionEndField>
    {
        /// <summary>
        /// 递归停止条件字段-列表
        /// </summary>
        /// <param name="param">参数请求体</param>
        /// <param name="page">分页参数</param>
        /// <returns>列表</returns>
        PagedInfo<GetPriRecursionEndFieldListVo> getPriRecursionEndFieldList([FromQuery] PagerInfo page, [FromQuery] PriRecursionEndField param);



    }
}
